=== modified file 'lib/canonical/launchpad/interfaces/launchpad.py'
--- lib/canonical/launchpad/interfaces/launchpad.py	2011-12-20 22:34:15 +0000
+++ lib/canonical/launchpad/interfaces/launchpad.py	2011-12-20 22:39:28 +0000
@@ -13,9 +13,7 @@
     )
 from zope.schema import (
     Bool,
-    Choice,
     Int,
-    TextLine,
     )
 
 from canonical.launchpad import _
@@ -24,7 +22,6 @@
 
 __all__ = [
     'IAging',
-    'IAppFrontPageSearchForm',
     'IAuthServerApplication',
     'IHasAssignee',
     'IHasBug',
@@ -139,12 +136,3 @@
     """Something created on a certain date."""
 
     datecreated = Attribute("The date on which I was created.")
-
-
-class IAppFrontPageSearchForm(Interface):
-    """Schema for the app-specific front page search question forms."""
-
-    search_text = TextLine(title=_('Search text'), required=False)
-
-    scope = Choice(title=_('Search scope'), required=False,
-                   vocabulary='DistributionOrProductOrProjectGroup')

=== modified file 'lib/lp/app/browser/launchpad.py'
--- lib/lp/app/browser/launchpad.py	2011-12-20 21:51:23 +0000
+++ lib/lp/app/browser/launchpad.py	2011-12-20 22:39:28 +0000
@@ -32,6 +32,7 @@
 import urllib
 
 from lazr.uri import URI
+
 from zope import i18n
 from zope.app import zapi
 from zope.component import (
@@ -44,18 +45,24 @@
     parseDatetimetz,
     )
 from zope.i18nmessageid import Message
-from zope.interface import implements
+from zope.interface import (
+    implements,
+    Interface,
+    )
 from zope.publisher.interfaces import NotFound
 from zope.publisher.interfaces.browser import IBrowserPublisher
 from zope.publisher.interfaces.xmlrpc import IXMLRPCRequest
+from zope.schema import (
+    Choice,
+    TextLine,
+    )
 from zope.security.interfaces import Unauthorized
 from zope.traversing.interfaces import ITraversable
 
+
 from canonical.config import config
+from canonical.launchpad import _
 from canonical.launchpad.helpers import intOrZero
-from canonical.launchpad.interfaces.launchpad import (
-    IAppFrontPageSearchForm,
-    )
 from lp.services.statistics.interfaces.statistic import (
     ILaunchpadStatisticSet,
     )
@@ -894,6 +901,15 @@
             return self, ()
 
 
+class IAppFrontPageSearchForm(Interface):
+    """Schema for the app-specific front page search question forms."""
+
+    search_text = TextLine(title=_('Search text'), required=False)
+
+    scope = Choice(title=_('Search scope'), required=False,
+                   vocabulary='DistributionOrProductOrProjectGroup')
+
+
 class AppFrontPageSearchView(LaunchpadFormView):
 
     schema = IAppFrontPageSearchForm

